Package org.snpeff.stats

# Class Counter

java.lang.Object
org.snpeff.stats.Counter

public class Counter extends Object
A simple class that counts... Note: This is probably the best piece of software I'll ever write! :-P

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`count`

## Constructor Summary

Constructors
Constructor
Description
`Counter()`

## Method Summary

Modifier and Type
Method
Description
`long`
`add(long add)`
`long`
`dec()`
`long`
`get()`
`long`
`getCount()`
`long`
`inc()`
`void`
`reset()`
`void`
`set(long newCount)`
`long`
`sub(long sub)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### count

public long count

## Constructor Details

### Counter

public Counter()

## Method Details

### add

public long add(long add)

### dec

public long dec()

### get

public long get()

### getCount

public long getCount()

### inc

public long inc()

### reset

public void reset()

### set

public void set(long newCount)

### sub

public long sub(long sub)

### toString

public String toString()

Overrides:
  `toString` in class `Object`